package com.ruoyi.system.domain.md;

import java.io.Serializable;

public class NewmsgOutbox implements Serializable {
    /**
     * 发件ID
     *
     * @mbg.generated
     */
    private String id;

    /**
     * 来源发件ID
     *
     * @mbg.generated
     */
    private String orginid;

    /**
     * 应用ID
     *
     * @mbg.generated
     */
    private String appid;

    /**
     * 应用名称
     *
     * @mbg.generated
     */
    private String appname;

    /**
     * 消息分类(0-应用消息，10-订阅，1-内部消息)
     *
     * @mbg.generated
     */
    private Byte msgtype;

    /**
     * 用户ID
     *
     * @mbg.generated
     */
    private String userid;

    /**
     * 用户分类(1-政府/2-企业)
     *
     * @mbg.generated
     */
    private Byte usertype;

    /**
     * 组织ID
     *
     * @mbg.generated
     */
    private String orgid;

    /**
     * 部门ID
     *
     * @mbg.generated
     */
    private String deptid;

    /**
     * 是否推送手机端(0-否，1-是)
     *
     * @mbg.generated
     */
    private Byte needpush;

    /**
     * 状态(0-撤回(删除) 1-正常（已发送） 2 草稿)
     *
     * @mbg.generated
     */
    private Byte state;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Long ctime;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    private Long utime;

    /**
     * 标题
     *
     * @mbg.generated
     */
    private String title;

    /**
     * 附加参数(json)
     *
     * @mbg.generated
     */
    private String ext;

    /**
     * 删除时间
     *
     * @mbg.generated
     */
    private Long dtime;

    /**
     * 正文（富文本）
     *
     * @mbg.generated
     */
    private String body;

    /**
     * 参数(json)
     *
     * @mbg.generated
     */
    private String params;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrginid() {
        return orginid;
    }

    public void setOrginid(String orginid) {
        this.orginid = orginid;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getAppname() {
        return appname;
    }

    public void setAppname(String appname) {
        this.appname = appname;
    }

    public Byte getMsgtype() {
        return msgtype;
    }

    public void setMsgtype(Byte msgtype) {
        this.msgtype = msgtype;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public Byte getUsertype() {
        return usertype;
    }

    public void setUsertype(Byte usertype) {
        this.usertype = usertype;
    }

    public String getOrgid() {
        return orgid;
    }

    public void setOrgid(String orgid) {
        this.orgid = orgid;
    }

    public String getDeptid() {
        return deptid;
    }

    public void setDeptid(String deptid) {
        this.deptid = deptid;
    }

    public Byte getNeedpush() {
        return needpush;
    }

    public void setNeedpush(Byte needpush) {
        this.needpush = needpush;
    }

    public Byte getState() {
        return state;
    }

    public void setState(Byte state) {
        this.state = state;
    }

    public Long getCtime() {
        return ctime;
    }

    public void setCtime(Long ctime) {
        this.ctime = ctime;
    }

    public Long getUtime() {
        return utime;
    }

    public void setUtime(Long utime) {
        this.utime = utime;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getExt() {
        return ext;
    }

    public void setExt(String ext) {
        this.ext = ext;
    }

    public Long getDtime() {
        return dtime;
    }

    public void setDtime(Long dtime) {
        this.dtime = dtime;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orginid=").append(orginid);
        sb.append(", appid=").append(appid);
        sb.append(", appname=").append(appname);
        sb.append(", msgtype=").append(msgtype);
        sb.append(", userid=").append(userid);
        sb.append(", usertype=").append(usertype);
        sb.append(", orgid=").append(orgid);
        sb.append(", deptid=").append(deptid);
        sb.append(", needpush=").append(needpush);
        sb.append(", state=").append(state);
        sb.append(", ctime=").append(ctime);
        sb.append(", utime=").append(utime);
        sb.append(", title=").append(title);
        sb.append(", ext=").append(ext);
        sb.append(", dtime=").append(dtime);
        sb.append(", body=").append(body);
        sb.append(", params=").append(params);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        NewmsgOutbox other = (NewmsgOutbox) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrginid() == null ? other.getOrginid() == null : this.getOrginid().equals(other.getOrginid()))
            && (this.getAppid() == null ? other.getAppid() == null : this.getAppid().equals(other.getAppid()))
            && (this.getAppname() == null ? other.getAppname() == null : this.getAppname().equals(other.getAppname()))
            && (this.getMsgtype() == null ? other.getMsgtype() == null : this.getMsgtype().equals(other.getMsgtype()))
            && (this.getUserid() == null ? other.getUserid() == null : this.getUserid().equals(other.getUserid()))
            && (this.getUsertype() == null ? other.getUsertype() == null : this.getUsertype().equals(other.getUsertype()))
            && (this.getOrgid() == null ? other.getOrgid() == null : this.getOrgid().equals(other.getOrgid()))
            && (this.getDeptid() == null ? other.getDeptid() == null : this.getDeptid().equals(other.getDeptid()))
            && (this.getNeedpush() == null ? other.getNeedpush() == null : this.getNeedpush().equals(other.getNeedpush()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getCtime() == null ? other.getCtime() == null : this.getCtime().equals(other.getCtime()))
            && (this.getUtime() == null ? other.getUtime() == null : this.getUtime().equals(other.getUtime()))
            && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
            && (this.getExt() == null ? other.getExt() == null : this.getExt().equals(other.getExt()))
            && (this.getDtime() == null ? other.getDtime() == null : this.getDtime().equals(other.getDtime()))
            && (this.getBody() == null ? other.getBody() == null : this.getBody().equals(other.getBody()))
            && (this.getParams() == null ? other.getParams() == null : this.getParams().equals(other.getParams()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrginid() == null) ? 0 : getOrginid().hashCode());
        result = prime * result + ((getAppid() == null) ? 0 : getAppid().hashCode());
        result = prime * result + ((getAppname() == null) ? 0 : getAppname().hashCode());
        result = prime * result + ((getMsgtype() == null) ? 0 : getMsgtype().hashCode());
        result = prime * result + ((getUserid() == null) ? 0 : getUserid().hashCode());
        result = prime * result + ((getUsertype() == null) ? 0 : getUsertype().hashCode());
        result = prime * result + ((getOrgid() == null) ? 0 : getOrgid().hashCode());
        result = prime * result + ((getDeptid() == null) ? 0 : getDeptid().hashCode());
        result = prime * result + ((getNeedpush() == null) ? 0 : getNeedpush().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getCtime() == null) ? 0 : getCtime().hashCode());
        result = prime * result + ((getUtime() == null) ? 0 : getUtime().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getExt() == null) ? 0 : getExt().hashCode());
        result = prime * result + ((getDtime() == null) ? 0 : getDtime().hashCode());
        result = prime * result + ((getBody() == null) ? 0 : getBody().hashCode());
        result = prime * result + ((getParams() == null) ? 0 : getParams().hashCode());
        return result;
    }
}